<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class Create1557135319175BimbingansTable extends Migration
{
    public function up()
    {
        Schema::create('bimbingans', function (Blueprint $table) {
            $table->increments('id');
            $table->unsignedInteger('nama_id')->nullable();
            $table->foreign('nama_id', 'nama_fk_42121')->references('id')->on('identitas_kliens');
            $table->string('no_register')->nullable();
            $table->timestamps();
            $table->softDeletes();
        });
    }

    public function down()
    {
        Schema::dropIfExists('bimbingans');
    }
}
